summaryrefslogtreecommitdiffstats
path: root/system/vbindiff
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackbuilds.org>2013-12-11 11:21:38 +0100
committer Erik Hanson <erik@slackbuilds.org>2013-12-14 10:52:36 -0600
commit1cf316049a3b52caa0b90d2732d0cae168513b90 (patch)
tree1b8675ae70b8b867444b3c690eef0522b570d38b /system/vbindiff
parentb8b9a1059aa39e921d8167264a22c81e88ae0aff (diff)
downloadslackbuilds-1cf316049a3b52caa0b90d2732d0cae168513b90.tar.gz
slackbuilds-1cf316049a3b52caa0b90d2732d0cae168513b90.tar.xz
system/vbindiff: Added (visual binary diff).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'system/vbindiff')
-rw-r--r--system/vbindiff/README3
-rw-r--r--system/vbindiff/slack-desc19
-rw-r--r--system/vbindiff/vbindiff.SlackBuild101
-rw-r--r--system/vbindiff/vbindiff.info10
4 files changed, 133 insertions, 0 deletions
diff --git a/system/vbindiff/README b/system/vbindiff/README
new file mode 100644
index 0000000000..9c191f6848
--- /dev/null
+++ b/system/vbindiff/README
@@ -0,0 +1,3 @@
+VBinDiff (Visual Binary Diff) displays files in hexadecimal and ASCII
+(or EBCDIC). It can also display two files at once, and highlight the
+differences between them. Unlike diff, it works well with large files.
diff --git a/system/vbindiff/slack-desc b/system/vbindiff/slack-desc
new file mode 100644
index 0000000000..e4509c1d4c
--- /dev/null
+++ b/system/vbindiff/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+vbindiff: vbindiff (Visual Binary Diff)
+vbindiff:
+vbindiff: VBinDiff (Visual Binary Diff) displays files in hexadecimal and ASCII
+vbindiff: (or EBCDIC). It can also display two files at once, and highlight the
+vbindiff: differences between them. Unlike diff, it works well with large files
+vbindiff:
+vbindiff: Home Page : http://www.cjmweb.net/vbindiff/
+vbindiff:
+vbindiff:
+vbindiff:
+vbindiff:
diff --git a/system/vbindiff/vbindiff.SlackBuild b/system/vbindiff/vbindiff.SlackBuild
new file mode 100644
index 0000000000..374e4f7f1d
--- /dev/null
+++ b/system/vbindiff/vbindiff.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+# Slackware build script for vbindiff
+
+# Copyright 2013 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for any purpose
+# with or without fee is hereby granted, provided that the above copyright
+# notice and this permission notice appear in all copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES,
+# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
+# FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
+# AUTHORS AND COPYRIGHT HOLDERS AND THEIR CONTRIBUTORS BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=vbindiff
+VERSION=${VERSION:-3.0_beta4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="AUTHORS COPYING NEWS README*"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-${VERSION}.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --disable-debug \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/vbindiff/vbindiff.info b/system/vbindiff/vbindiff.info
new file mode 100644
index 0000000000..1a3d78fcf0
--- /dev/null
+++ b/system/vbindiff/vbindiff.info
@@ -0,0 +1,10 @@
+PRGNAM="vbindiff"
+VERSION="3.0_beta4"
+HOMEPAGE="http://www.cjmweb.net/vbindiff/"
+DOWNLOAD="http://www.cjmweb.net/vbindiff/vbindiff-3.0_beta4.tar.gz"
+MD5SUM="dbda80ef580e1a0975ef50b9aaa5210e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"